Langsung ke konten utama
GET
/
v3
/
pages
List landing pages
curl --request GET \
  --url https://api.scalev.com/v3/pages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "unique_id": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "is_published": true,
      "published_at": "2023-11-07T05:31:56Z",
      "store_id": 123,
      "store": {},
      "tags": [
        "<string>"
      ],
      "is_pinned": true,
      "created_by": {},
      "last_updated_by": {},
      "created_at": "2023-11-07T05:31:56Z",
      "last_updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "is_paginated": true,
  "has_next": true,
  "has_previous": true,
  "next_cursor": "<string>",
  "previous_cursor": "<string>",
  "page_size": 123
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Query

page_size
integer

Cursor page size.

Rentang yang diperlukan: x >= 1
next_cursor
string

Opaque cursor for the next page.

previous_cursor
string

Opaque cursor for the previous page.

Respons

Paginated landing page list

data
object[]
wajib
is_paginated
enum<boolean>
wajib
Opsi yang tersedia:
true
has_next
boolean
has_previous
boolean
next_cursor
string | null
previous_cursor
string | null
page_size
integer